/*
 * Copyright Cocktail, 2001-2006
 * 
 * This software is governed by the CeCILL license under French law and abiding
 * by the rules of distribution of free software. You can use, modify and/or
 * redistribute the software under the terms of the CeCILL license as circulated
 * by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 * 
 * As a counterpart to the access to the source code and rights to copy, modify
 * and redistribute granted by the license, users are provided only with a
 * limited warranty and the software's author, the holder of the economic
 * rights, and the successive licensors have only limited liability.
 * 
 * In this respect, the user's attention is drawn to the risks associated with
 * loading, using, modifying and/or developing or reproducing the software by
 * the user in light of its specific status of free software, that may mean that
 * it is complicated to manipulate, and that also therefore means that it is
 * reserved for developers and experienced professionals having in-depth
 * computer knowledge. Users are therefore encouraged to load and test the
 * software's suitability as regards their requirements in conditions enabling
 * the security of their systems and/or data to be ensured and, more generally,
 * to use and operate it in the same conditions as regards security.
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
 */

package org.cocktail.application.client.swingfinder.nib;

import javax.swing.JPanel;
import javax.swing.JScrollPane;

import org.cocktail.application.palette.JPanelCocktail;


/**
 *
 * @author  mparadot
 */
public class SwingFinderEOStructureNib extends JPanelCocktail {
    
    /** Creates new form SwingFinderEOStructureNib */
    public SwingFinderEOStructureNib() {
        super();
        initComponents();
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jbValider = new org.cocktail.application.palette.JButtonCocktail();
        jbAnnuler = new org.cocktail.application.palette.JButtonCocktail();
        jTextFieldCocktail1 = new org.cocktail.application.palette.JTextFieldCocktail();
        jbFiltre = new org.cocktail.application.palette.JButtonCocktail();
        jSplitPane1 = new javax.swing.JSplitPane();
        jtvcStructure = new org.cocktail.application.palette.JTableViewCocktail();
        jSplitPane2 = new javax.swing.JSplitPane();
        jtvcTelephone = new org.cocktail.application.palette.JTableViewCocktail();
        jtvcAdresse = new org.cocktail.application.palette.JTableViewCocktail();
        jcbcTypeStr = new org.cocktail.application.palette.JComboBoxCocktail();

        setMinimumSize(new java.awt.Dimension(640, 480));

        jbValider.setText("Selectionner");

        jbAnnuler.setText("Annuler");

        jbFiltre.setText("Rechercher");

        jSplitPane1.setDividerLocation(150);
        jSplitPane1.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        jSplitPane1.setTopComponent(jtvcStructure);

        jSplitPane2.setDividerLocation(80);
        jSplitPane2.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        jSplitPane2.setRightComponent(jtvcTelephone);
        jSplitPane2.setLeftComponent(jtvcAdresse);

        jSplitPane1.setBottomComponent(jSplitPane2);

        jcbcTypeStr.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jTextFieldCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 204, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jbFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jcbcTypeStr, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 284, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(jbAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 418, Short.MAX_VALUE)
                        .add(jbValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jSplitPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 600, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jTextFieldCocktail1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jbFiltre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jcbcTypeStr, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSplitPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 370, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jbAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jbValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JSplitPane jSplitPane1;
    private javax.swing.JSplitPane jSplitPane2;
    private org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail1;
    private org.cocktail.application.palette.JButtonCocktail jbAnnuler;
    private org.cocktail.application.palette.JButtonCocktail jbFiltre;
    private org.cocktail.application.palette.JButtonCocktail jbValider;
    private org.cocktail.application.palette.JComboBoxCocktail jcbcTypeStr;
    private org.cocktail.application.palette.JTableViewCocktail jtvcAdresse;
    private org.cocktail.application.palette.JTableViewCocktail jtvcStructure;
    private org.cocktail.application.palette.JTableViewCocktail jtvcTelephone;
    // End of variables declaration//GEN-END:variables
    public org.cocktail.application.palette.JButtonCocktail getJbAnnuler() {
        return jbAnnuler;
    }

    public void setJbAnnuler(org.cocktail.application.palette.JButtonCocktail jbAnnuler) {
        this.jbAnnuler = jbAnnuler;
    }

    public org.cocktail.application.palette.JButtonCocktail getJbFiltre() {
        return jbFiltre;
    }

    public void setJbFiltre(org.cocktail.application.palette.JButtonCocktail jbFiltre) {
        this.jbFiltre = jbFiltre;
    }

    public org.cocktail.application.palette.JButtonCocktail getJbValider() {
        return jbValider;
    }

    public void setJbValider(org.cocktail.application.palette.JButtonCocktail jbValider) {
        this.jbValider = jbValider;
    }

    public org.cocktail.application.palette.JTextFieldCocktail getJTextFieldCocktail1() {
        return jTextFieldCocktail1;
    }

    public void setJTextFieldCocktail1(org.cocktail.application.palette.JTextFieldCocktail textFieldCocktail1) {
        jTextFieldCocktail1 = textFieldCocktail1;
    }

    public org.cocktail.application.palette.JTableViewCocktail getJtvcAdresse() {
        return jtvcAdresse;
    }

    public org.cocktail.application.palette.JTableViewCocktail getJtvcStructure() {
        return jtvcStructure;
    }

    public org.cocktail.application.palette.JTableViewCocktail getJtvcTelephone() {
        return jtvcTelephone;
    }

    public org.cocktail.application.palette.JComboBoxCocktail getJcbcTypeStr() {
        return jcbcTypeStr;
    }
    
}
